DWFILTER(1)

NAAM
dwfilter - herformateer tekst met dwdiff voor verdere verwerking

OVERZICHT
dwfilter [OPTIES] OUD BESTAND NIEUW BESTAND NABEWERKER [NABEWERKER OPTIES]

BESCHRIJVING
dwfilter herformateert de tekst in het oude bestand volgens de inhoud van het nieuwe bestand (of vice versa) en geeft vervolgens het geherformateerde oude bestand en het nieuwe bestand aan een volgend filter. De belangrijkste functie is het mogelijk maken om programma's als meld and kdiff3 te gebruiken, zelfs als een bestand geherformateerd is na bewerking. Een verdere functie is het maken van kleine verschil bestanden zelfs als het nieuwe bestand geherformateerd is.

OPTIES

-r, --reverse
    Herformateer het nieuwe bestand volgens de inhoud van het oude bestand in plaats van de standaard operatie waarbij het oude bestand wordt geherformateerd volgens de inhoud van het nieuwe bestand.

dwfilter accepteerd de volgende dwdiff opties:

    -d delimiters, --delimiters=delimiters
    -P, --punctuation
    -W whitespace, --white-space=whitespace
    -i, --ignore-case
    -I, --ignore-formatting
    -D option, --diff-option=option
    -Cnum, --context=num
    -mnum, --match-context=num
    --aggregate-changes
    --wdiff-output
    -A algorithm, --algorithm=algorithm
    --profile=name, --no-profile

Zie de dwdiff handleiding voor de betekenis.

Een enkel minteken (-) als bestandsnaam kan worden gebruikt om aan te geven dat de tekst van de standaard invoer moet worden gelezen. Slechts één bestand kan van standaard invoer worden gelezen. Om te voorkomen dat dwfilter een bestandsnaam die begint met een minteken interpreteert als een optie kan een dubbel minteken (--) opgegeven worden, waarna dwfilter alle volgende argumenten als bestandsnamen zal interpreteren.

BUGS
Als u denkt een bug gevonden te hebben, controleer dan dat u de nieuwste versie van dwdiff <http://os.ghalkes.nl/dwdiff.html> gebruikt. Als u een bug wil rapporteren, voeg dan een minimaal voorbeeld dat het probleem demonstreert toe aan uw melding.

AUTEUR
G.P. Halkes <dwdiff@ghalkes.nl>

COPYRIGHT
Copyright © 2006-2010 G.P. Halkes
dwdiff is gelicenseerd onder de GNU General Public License version 3.
Voor meer informatie over de licentie, zie het bestand COPYING in de documentatie map. Op Un*x systemen is dit meestal /usr/share/doc/dwdiff-$VERSION$.

ZIE OOK
dwdiff(1), diff(1), meld(1), kdiff3(1)